Gocator API

- Home
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoAccelerator Class Reference
GoSdk

## Description

Represents an GoAccelerator instance.

Inheritance diagram for GoAccelerator:

## Public Member Functions
kStatus | GoAccelerator_Attach (GoAccelerator accelerator, GoSensor sensor)
| Attaches the accelerator to a sensor. More...
kStatus | GoAccelerator_Construct (GoAccelerator *accelerator, kAlloc allocator)
| Constructs the accelerator object. More...
k32u | GoAccelerator_ControlPort (GoAccelerator accelerator)
| Gets the control port used for the accelerator. More...
kStatus | GoAccelerator_Detach (GoAccelerator accelerator, GoSensor sensor)
| Detaches a sensor from the accelerator. More...
k32u | GoAccelerator_HealthPort (GoAccelerator accelerator)
| Gets the health port used for the accelerator. More...
kIpAddress | GoAccelerator_IpAddress (GoAccelerator accelerator)
| Gets the IP address used for the accelerator. More...
kBool | GoAccelerator_IsAttached (GoAccelerator accelerator, GoSensor sensor)
| Reports whether or not the specified sensor is attached to this accelerator. More...
kBool | GoAccelerator_IsRunning (GoAccelerator accelerator)
| Reports whether or not the accelerator has been started. More...
k32u | GoAccelerator_PrivateDataPort (GoAccelerator accelerator)
| Gets the private data port used for the accelerator. More...
k32u | GoAccelerator_PublicDataPort (GoAccelerator accelerator)
| Gets the public data port used for the accelerator. More...
GoSensor | GoAccelerator_Sensor (GoAccelerator accelerator, kSize index)
| Gets the accelerated GoSensor handle specified by index. More...
kStatus | GoAccelerator_SetAcceleratorUpdateHandler (GoAccelerator accelerator, kCallbackFx function, kPointer receiver)
| Sets a handler for Accelerated sensor connect/disconnect updates for this object. More...
kStatus | GoAccelerator_SetControlPort (GoAccelerator accelerator, k32u port)
| Sets the control port to use for the accelerator. More...
kStatus | GoAccelerator_SetHealthPort (GoAccelerator accelerator, k32u port)
| Sets the health port to use for the accelerator. More...
kStatus | GoAccelerator_SetIpAddress (GoAccelerator accelerator, kIpAddress address)
| Sets the IP address to use for the accelerator. More...
kStatus | GoAccelerator_SetPrivateDataPort (GoAccelerator accelerator, k32u port)
| Sets the private data port to use for the accelerator. More...
kStatus | GoAccelerator_SetPublicDataPort (GoAccelerator accelerator, k32u port)
| Sets the public data port to use for the accelerator. More...
kStatus | GoAccelerator_SetUpgradePort (GoAccelerator accelerator, k32u port)
| Sets the upgrade port to use for the accelerator. More...
kStatus | GoAccelerator_SetWebPort (GoAccelerator accelerator, k32u port)
| Sets the web server port to use for the accelerator. More...
kStatus | GoAccelerator_Start (GoAccelerator accelerator)
| Starts the accelerator service. More...
kStatus | GoAccelerator_Stop (GoAccelerator accelerator)
| Stops the accelerator service. More...
k32u | GoAccelerator_UpgradePort (GoAccelerator accelerator)
| Gets the upgrade port used for the accelerator. More...
k32u | GoAccelerator_WebPort (GoAccelerator accelerator)
| Gets the web server port used for the accelerator. More...

The documentation for this class was generated from the following file:

- GoAccelerator.h